public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: Narrow down relevancy in some tests
@ 2026-09-11 13:20 Ondrej Mosnacek
0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:20 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 733f960966dac447cd21c8861726ae12abcaa1e2
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2023-06-12T14:28:57+02:00
Stats : +5/-3 in 2 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/733f960966dac447cd21c8861726ae12abcaa1e2?branch=pr775-checkpolicy-revdeps
Log:
Narrow down relevancy in some tests
Make it reflect the current status in RHEL to avoid running the test
where it doesn't make sense.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh b/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
index 5347206..b87505c 100755
--- a/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
+++ b/policycoreutils/semodule-rebuild-if-modules-changed/runtest.sh
@@ -117,9 +117,8 @@ rlJournalStart
"Force a rebuild to clean things up"
rlPhaseEnd
- if ! { rlIsRHEL 9 && rlIsRHEL '<9.3'; } && \
- ! { rlIsRHEL 8 && rlIsRHEL '<8.9'; }
- then
+ # https://bugzilla.redhat.com/show_bug.cgi?id=2173959
+ if ! { rlIsRHEL && rlIsRHEL '<9.3'; }; then
rlPhaseStartTest "Disable dontaudit injected"
rlLog "Inject disable_dontaudit flag into the store"
rlRun "touch '$STORE_DISABLE_DONTAUDIT'"
diff --git a/selinux-policy/kernel-confined-exec/main.fmf b/selinux-policy/kernel-confined-exec/main.fmf
index 33ab76f..fb7cd8e 100644
--- a/selinux-policy/kernel-confined-exec/main.fmf
+++ b/selinux-policy/kernel-confined-exec/main.fmf
@@ -21,6 +21,9 @@ adjust:
- enabled: false
when: distro < fedora-38
because: This hardening applies only to F38+
+ - enabled: false
+ when: distro < rhel-10
+ because: Not yet backported to RHEL
link:
- verifies: https://bugzilla.redhat.com/show_bug.cgi?id=2068579
extra-nitrate: TC#0614676
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: Narrow down relevancy in some tests Ondrej Mosnacek
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox